import { AbstractGenerator } from './generators';
import { Monotonic } from '../../schema/schema.class';
export declare class DateGenerator extends AbstractGenerator<Date> {
    protected values: Date[];
    validate(): boolean;
    init(): Promise<this>;
    monotonic(order: Monotonic): void;
    generateRandomDate(): Date;
    generate(rowIndex: number, row: {
        [key: string]: any;
    }): Date;
}
