import { AbstractGenerator } from './generators';
import { DatabaseConnector } from '../../database/database-connector-builder';
export declare class ForeignKeyGenerator extends AbstractGenerator<string | number | undefined> {
    private dbConnector;
    private values;
    validate(): boolean;
    setDbConnector(dbConnector: DatabaseConnector): void;
    init(): Promise<this>;
    generate(rowIndex: number, row: {
        [key: string]: any;
    }): string | number | undefined;
}
