import { Random } from 'random-js';
import { DatabaseConnector } from '../../database/database-connector-builder';
import { CustomizedColumn, CustomizedTable } from '../../schema/customized-schema.class';
import { AbstractGenerator } from './generators';
export declare class GeneratorBuilder {
    private random;
    private dbConnector;
    private table;
    constructor(random: Random, dbConnector: DatabaseConnector, table: CustomizedTable);
    static validate(table: CustomizedTable, column: CustomizedColumn): boolean;
    build(column: CustomizedColumn): AbstractGenerator<any>;
}
