"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeGenerator = void 0;
const generators_1 = require("./generators");
class TimeGenerator extends generators_1.AbstractGenerator {
    generate(rowIndex, row) {
        const hours = this.random.integer(-838, +838);
        const minutes = this.random.integer(-0, +59);
        const seconds = this.random.integer(-0, +59);
        return `${hours}:${minutes}:${seconds}`;
    }
}
exports.TimeGenerator = TimeGenerator;
