"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValuesGenerator = void 0;
const generators_1 = require("./generators");
class ValuesGenerator extends generators_1.AbstractGenerator {
    validate() {
        if (this.column.values === undefined)
            throw new Error(`values attribute required for type values: ${this.table.name}.${this.column.name}`);
        return true;
    }
    generate(rowIndex, row) {
        if (this.column.values)
            return this.random.pick(this.column.values);
        return null;
    }
}
exports.ValuesGenerator = ValuesGenerator;
