"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Builder = void 0;
class Builder {
    constructor(className) {
        this.obj = new className();
    }
    set(key, value) {
        this.obj[key] = value;
        return this;
    }
    build() {
        return this.obj;
    }
}
exports.Builder = Builder;
