"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractGenerator = exports.Generators = void 0;
var Generators;
(function (Generators) {
    Generators["none"] = "none";
    Generators["bit"] = "bit";
    Generators["integer"] = "integer";
    Generators["boolean"] = "boolean";
    Generators["real"] = "real";
    Generators["date"] = "date";
    Generators["time"] = "time";
    Generators["string"] = "string";
    Generators["values"] = "values";
    Generators["foreignKey"] = "foreignKey";
    Generators["function"] = "function";
})(Generators = exports.Generators || (exports.Generators = {}));
class AbstractGenerator {
    constructor(random, table, column) {
        this.random = random;
        this.table = table;
        this.column = column;
    }
    static validate(table, column) { return true; }
    ;
    init() {
        return __awaiter(this, void 0, void 0, function* () { return this; });
    }
}
exports.AbstractGenerator = AbstractGenerator;
